Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.query
Class Constant

    java.lang.Object
      |
      +--kodo.jdbc.query.Constant

All Implemented Interfaces:
  JDBCValue, Value

public abstract class Constant
extends Object
implements JDBCValue

A literal or parameter in the JDOQL filter.

Constructor Summary
`Constant()`

Method Summary
`void` | `appendIsEmpty(SQLBuffer sql)` Append the SQL testing whether this value is empty to the given buffer.
`void` | `appendIsNotNull(SQLBuffer sql)` Append the SQL testing whether this value is not null to the given buffer.
`void` | `appendIsNull(SQLBuffer sql)` Append the SQL testing whether this value is null to the given buffer.
`void` | `castTo(Class cls)` Cast this value to the given type.
`Object` | `getDataStoreValue(Object val, KodoPersistenceManager pm)` Transform the given value into its datastore equivalent.
`Joins` | `getJoins()` Return the joins for this value.
`ClassMetaData` | `getMetaData()`
`Object` | `getSQLValue()` Return the SQL value of this constant.
`abstract Object` | `getValue()` Return the value of this constant.
`void` | `initialize(KodoPersistenceManager pm, Select select, boolean nullTest)` Initialize the value.
`boolean` | `isVariable()`
`int` | `length()` Return the number of SQL elements in this value.
`Object` | `load(Result res, JDBCStoreManager store, JDBCFetchConfiguration fetch)` Load the data for this value.
`void` | `select(Select sel, JDBCStoreManager store, JDBCFetchConfiguration fetch)` Select the data for this value.
`void` | `setMetaData(ClassMetaData meta)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kodo.jdbc.query.JDBCValue
`appendTo, calculateValue`

Constructor Detail

### Constant

    public Constant()

Method Detail

### getMetaData

    public ClassMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `Value`

### setMetaData

    public void setMetaData(ClassMetaData meta)

  Specified by:
    `setMetaData` in interface `Value`

### isVariable

    public boolean isVariable()

  Specified by:
    `isVariable` in interface `Value`

### getValue

    public abstract Object getValue()

  Return the value of this constant.

### getSQLValue

    public Object getSQLValue()

  Return the SQL value of this constant. Delegates to `getValue()` by default.

### castTo

    public void castTo(Class cls)

  Description copied from interface: `JDBCValue`
  Cast this value to the given type.
  Specified by:
    `castTo` in interface `JDBCValue`

### initialize

    public void initialize(KodoPersistenceManager pm,
                           Select select,
                           boolean nullTest)

  Description copied from interface: `JDBCValue`
  Initialize the value. This method should recursively initialize any sub-values. It should also cache the `Joins` instance containing the joins for this value.
  Specified by:
    `initialize` in interface `JDBCValue`
  Following copied from interface: `kodo.jdbc.query.JDBCValue`
  Parameters:
    `pm` - the persistence manager for the query
    `select` - used to create `Joins` instances
    `nullTest` - if true, then this value will be compared to null or tested for emptiness

### length

    public int length()

  Description copied from interface: `JDBCValue`
  Return the number of SQL elements in this value.
  Specified by:
    `length` in interface `JDBCValue`

### appendIsEmpty

    public void appendIsEmpty(SQLBuffer sql)

  Description copied from interface: `JDBCValue`
  Append the SQL testing whether this value is empty to the given buffer.
  Specified by:
    `appendIsEmpty` in interface `JDBCValue`

### appendIsNull

    public void appendIsNull(SQLBuffer sql)

  Description copied from interface: `JDBCValue`
  Append the SQL testing whether this value is null to the given buffer.
  Specified by:
    `appendIsNull` in interface `JDBCValue`

### appendIsNotNull

    public void appendIsNotNull(SQLBuffer sql)

  Description copied from interface: `JDBCValue`
  Append the SQL testing whether this value is not null to the given buffer.
  Specified by:
    `appendIsNotNull` in interface `JDBCValue`

### getJoins

    public Joins getJoins()

  Description copied from interface: `JDBCValue`
  Return the joins for this value. These joins should be created and cached during the `JDBCValue.initialize(kodo.runtime.KodoPersistenceManager, kodo.jdbc.sql.Select, boolean)` method. The parent expression might modify these joins during its own initialization so that common joins are moved up the expression tree. These joins should not be included in the SQL appended through any of the `append` methods.
  Specified by:
    `getJoins` in interface `JDBCValue`

### getDataStoreValue

    public Object getDataStoreValue(Object val,
                                    KodoPersistenceManager pm)

  Description copied from interface: `JDBCValue`
  Transform the given value into its datastore equivalent.
  Specified by:
    `getDataStoreValue` in interface `JDBCValue`

### select

    public void select(Select sel,
                       JDBCStoreManager store,
                       JDBCFetchConfiguration fetch)

  Description copied from interface: `JDBCValue`
  Select the data for this value.
  Specified by:
    `select` in interface `JDBCValue`

### load

    public Object load(Result res,
                       JDBCStoreManager store,
                       JDBCFetchConfiguration fetch)
                throws SQLException

  Description copied from interface: `JDBCValue`
  Load the data for this value.
  Specified by:
    `load` in interface `JDBCValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.